--- a/levels/bonus001.py
+++ b/levels/bonus001.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('water')
     k.sound.music()
-    k.world.setBackground('Big-E-Mr-G09')
+    k.world.setBackground('bonus-01')
     
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
         
--- a/levels/level001.py
+++ b/levels/level001.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('space')
     k.sound.music()
-    k.world.setBackground('nasirkhan02')
+    k.world.setBackground('level-01')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level002.py
+++ b/levels/level002.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('summer')
     k.sound.music()
-    k.world.setBackground('tanakawho04')
+    k.world.setBackground('level-02')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
@@ -31,10 +31,5 @@
         k.particles.stoneCircle((w*1/3, cy), 'white', k.config.stage*2, 80)
         k.particles.stoneCircle((w*2/3, cy), 'white', k.config.stage*2, 80)
 
-        k.particles.ballCircle((w*1/3, cy), 'white', k.config.stage*2, 80, -math.pi/2)
-        k.particles.ballCircle((w*2/3, cy), 'white', k.config.stage*2, 80, -math.pi/2)
-        
-        k.particles.ballCircle((w*2/3, cy), 'white', 5, 10)
-
     # simple player
     k.player.setPos((cx, cy-120))
--- a/levels/level003.py
+++ b/levels/level003.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('industry')
     k.sound.music()
-    k.world.setBackground('nasirkhan01')
+    k.world.setBackground('level-03')
     k.level.linkColor = (0,0,0)
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
--- a/levels/level004.py
+++ b/levels/level004.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('space')
     k.sound.music()
-    k.world.setBackground('Big-E-Mr-G02')
+    k.world.setBackground('level-04')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level005.py
+++ b/levels/level005.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('water')
     k.sound.music()
-    k.world.setBackground('GaryP03')
+    k.world.setBackground('level-05')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     xd = 170
@@ -19,7 +19,10 @@
         for i in range(len(parts)):
             k.particles.add(Particle({'pos': parts[i], 'color': i < 2 and 'blue' or 'white'}))
     else:
-        num = (k.config.stage-1)*3
+    	if k.config.stage == 2:
+    	    num = 4
+    	else:
+            num = (k.config.stage-1)*3
         k.particles.ballCircle((cx-xd, cy), 'white',  num, 150)
         k.particles.ballCircle((cx+xd, cy), 'blue',   num, 150)        
     
--- a/levels/level006.py
+++ b/levels/level006.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('summer')
     k.sound.music()
-    k.world.setBackground('tanakawho05')
+    k.world.setBackground('level-06')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
    
--- a/levels/level007.py
+++ b/levels/level007.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('summer')
     k.sound.music()
-    k.world.setBackground('tanakawho01')
+    k.world.setBackground('level-07')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level008.py
+++ b/levels/level008.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('industry')
     k.sound.music()
-    k.world.setBackground('somadjinn03')
+    k.world.setBackground('level-08')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level009.py
+++ b/levels/level009.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('water')
     k.sound.music()
-    k.world.setBackground('Big-E-Mr-G03')
+    k.world.setBackground('level-09')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level010.py
+++ b/levels/level010.py
@@ -7,7 +7,7 @@
 def init():
     k.sound.loadTheme('space')
     k.sound.music()
-    k.world.setBackground('IHP03')
+    k.world.setBackground('level-10')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level011.py
+++ b/levels/level011.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('industry')
     k.sound.music()
-    k.world.setBackground('IHP05')
+    k.world.setBackground('level-11')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
         
--- a/levels/level012.py
+++ b/levels/level012.py
@@ -7,7 +7,7 @@
 def init():
     k.sound.loadTheme('water')
     k.sound.music()
-    k.world.setBackground('somadjinn01')
+    k.world.setBackground('level-12')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
@@ -47,4 +47,4 @@
         pos += (w*3/24, h*3/24)
     k.player.setPos(pos)
 
-    
\ No newline at end of file
+    
--- a/levels/level013.py
+++ b/levels/level013.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('industry')
     k.sound.music()
-    k.world.setBackground('tanakawho02')
+    k.world.setBackground('level-13')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     xd = 150
--- a/levels/level014.py
+++ b/levels/level014.py
@@ -6,7 +6,7 @@
 def init():
     k.sound.loadTheme('space')
     k.sound.music()
-    k.world.setBackground('GaryP01')
+    k.world.setBackground('level-14')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level015.py
+++ b/levels/level015.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('industry')
     k.sound.music()
-    k.world.setBackground('kahanaboy06')
+    k.world.setBackground('level-15')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
    
--- a/levels/level016.py
+++ b/levels/level016.py
@@ -6,7 +6,7 @@
 def init():
     k.sound.loadTheme('water')
     k.sound.music()
-    k.world.setBackground('OzBandit01')
+    k.world.setBackground('level-16')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
 
@@ -27,4 +27,4 @@
     k.player.setPos((w/2, cy+yd))
 
 
-    
\ No newline at end of file
+    
--- a/levels/level017.py
+++ b/levels/level017.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('space')
     k.sound.music()
-    k.world.setBackground('somadjinn02')
+    k.world.setBackground('level-17')
     
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
 
--- a/levels/level018.py
+++ b/levels/level018.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('water')
     k.sound.music()
-    k.world.setBackground('nasirkhan03')
+    k.world.setBackground('level-18')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level019.py
+++ b/levels/level019.py
@@ -6,7 +6,7 @@
 def init():
     k.sound.loadTheme('summer')
     k.sound.music()
-    k.world.setBackground('tanakawho03')
+    k.world.setBackground('level-19')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level020.py
+++ b/levels/level020.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('industry')
     k.sound.music()
-    k.world.setBackground('GaryP04')
+    k.world.setBackground('level-20')
     
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
 
--- a/levels/level021.py
+++ b/levels/level021.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('space')
     k.sound.music()
-    k.world.setBackground('tanakawho07')
+    k.world.setBackground('level-21')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level022.py
+++ b/levels/level022.py
@@ -6,7 +6,7 @@
 def init():
     k.sound.loadTheme('summer')
     k.sound.music()
-    k.world.setBackground('GaryP02')
+    k.world.setBackground('level-22')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level023.py
+++ b/levels/level023.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('summer')
     k.sound.music()
-    k.world.setBackground('darkmatter01')
+    k.world.setBackground('level-23')
     
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
 
--- a/levels/level024.py
+++ b/levels/level024.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('space')
     k.sound.music()
-    k.world.setBackground('Big-E-Mr-G05')
+    k.world.setBackground('level-24')
 
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level025.py
+++ b/levels/level025.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('water')
     k.sound.music()
-    k.world.setBackground('Big-E-Mr-G08')
+    k.world.setBackground('level-25')
     
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
 
--- a/levels/level026.py
+++ b/levels/level026.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('space')
     k.sound.music()
-    k.world.setBackground('kahanaboy05')
+    k.world.setBackground('level-26')
     
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
 
--- a/levels/level027.py
+++ b/levels/level027.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('industry')
     k.sound.music()
-    k.world.setBackground('IHP02')
+    k.world.setBackground('level-27')
     
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
     
--- a/levels/level028.py
+++ b/levels/level028.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('summer')
     k.sound.music()
-    k.world.setBackground('Big-E-Mr-G04')
+    k.world.setBackground('level-28')
     
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
 
--- a/levels/level029.py
+++ b/levels/level029.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('space')
     k.sound.music()
-    k.world.setBackground('kahanaboy07')
+    k.world.setBackground('level-29')
     
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
 
--- a/levels/level030.py
+++ b/levels/level030.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('summer')
     k.sound.music()
-    k.world.setBackground('tanakawho06')
+    k.world.setBackground('level-30')
     
     cx, cy, w, h = k.world.rect.centerx, k.world.rect.centery, k.world.rect.width, k.world.rect.height
 
--- a/levels/menu.py
+++ b/levels/menu.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('menu')
     k.sound.music('space.ogg')
-    k.world.setBackground('kahanaboy01')
+    k.world.setBackground('menu')
     k.world.darken(70)
     
     # player
--- a/levels/menu_credits.py
+++ b/levels/menu_credits.py
@@ -7,7 +7,7 @@
 def init():
     k.sound.loadTheme('menu')
     k.sound.music('water.ogg')
-    k.world.setBackground('IHP01')
+    k.world.setBackground('menu-credits')
     # simple player
     k.player.setPos(k.world.rect.center)
     k.player.setTailNum(2)
@@ -16,22 +16,16 @@
     
     c, h = k.world.rect.centerx, k.world.rect.height
     drawText('Credits', (c, h*4.0/24.0), color=(0,0,0), valign='center')
-    drawText('Code by monsterkodi', (c, h*6/28), color=(0,0,0), size='normal', valign='center')
-    drawText('Sound by legoluft', (c, h*7/28), color=(0,0,0), size='normal', valign='center')    
-    drawText('Images', (c, h*8/24), color=(0,0,0), valign='center')
-    credits = ["Big-E-Mr-G", "darkmatter", "*GaryP*", "IHP", "kahanaboy", "nasirkhan", "OzBandit", "somadjinn", "tanakawho"] 
-
-    index = 1
-    for text in credits:
-        
-        drawText(text, (k.world.rect.centerx, h*(8/24.0+index/28.0)), size='normal', color=(0,0,0))
-        index += 1
+    drawText('Code by monsterkodi', (c, h*6/20), color=(0,0,0), size='normal', valign='center')
+    drawText('Sound by legoluft', (c, h*7/20), color=(0,0,0), size='normal', valign='center')    
+    drawText('Images by Slava Anishenko', (c, h*8/20), color=(0,0,0), size='normal', valign='center')
+    drawText('Debianized by Dmitry E. Oboukhov', (c, h*9/20), color=(0,0,0), size='normal', valign='center')
+    drawText('Thanks for Nata Karpenko', (c, h*10/20), color=(0,0,0), size='normal', valign='center')
         
-    drawText('Font by Nick Curtis', (c, h*21/28), color=(0,0,0), size='normal', valign='center')    
-    drawText('Version ' + k.VERSION, (c, h*23/28), color=(220,209,180), size='tiny', valign='center')    
+    drawText('Version ' + k.VERSION, (c, h*23/20), color=(220,209,180), size='tiny', valign='center')    
         
     k.particles.add(Switch({ 'text': 'Back',
                              'align': 'bottom',
                              'action': 'k.level.menuExit()',
                              'size': 'small', 
-                             'pos': vector((c, h*7/8))}))
\ No newline at end of file
+                             'pos': vector((c, h*7/8))}))
--- a/levels/menu_levels.py
+++ b/levels/menu_levels.py
@@ -4,7 +4,7 @@
 
 def init():
     k.sound.loadTheme('menu')
-    k.world.setBackground('IHP06')
+    k.world.setBackground('menu-levels')
     
     cx, w, h = k.world.rect.centerx, k.world.rect.width, k.world.rect.height
         
@@ -20,7 +20,7 @@
         row, col = math.floor((i%cols))+1.5, math.floor((i/cols))+0.8
         pos.append((row*w/(cols+2), col*h/4.7))
         
-        icon = pygame.image.load('levels/icons/level%03d.tga' % (i+1))
+        icon = pygame.image.load('levels/unera-icons/level%03d.tga' % (i+1))
         if h < 768:
             icon = pygame.transform.scale(icon, (88, 66))
         icons.append(icon)
@@ -81,4 +81,4 @@
 
     k.screen.blit(k.world.image, k.world.rect)
     pygame.display.update()
-    
\ No newline at end of file
+    
--- a/levels/menu_levels2.py
+++ b/levels/menu_levels2.py
@@ -3,7 +3,7 @@
 from Part import *
 
 def init():
-    k.world.setBackground('IHP06')
+    k.world.setBackground('menu-levels')
     
     cx, w, h = k.world.rect.centerx, k.world.rect.width, k.world.rect.height
         
@@ -18,7 +18,7 @@
         row, col = math.floor((i%cols))+1.5, math.floor((i/cols))+0.8
         pos.append((row*w/(cols+2), col*h/4.7))
         
-        icon = pygame.image.load('levels/icons/level%03d.tga' % (10+i+1))
+        icon = pygame.image.load('levels/unera-icons/level%03d.tga' % (10+i+1))
         if h < 768:
             icon = pygame.transform.scale(icon, (88, 66))
         icons.append(icon)
@@ -52,4 +52,4 @@
 
     k.screen.blit(k.world.image, k.world.rect)    
     pygame.display.update()
-    
\ No newline at end of file
+    
--- a/levels/menu_levels3.py
+++ b/levels/menu_levels3.py
@@ -3,7 +3,7 @@
 from Part import *
 
 def init():
-    k.world.setBackground('IHP06')
+    k.world.setBackground('menu-levels')
     
     cx, w, h = k.world.rect.centerx, k.world.rect.width, k.world.rect.height
         
@@ -17,7 +17,7 @@
         row, col = math.floor((i%cols))+1.5, math.floor((i/cols))+0.8
         pos.append((row*w/(cols+2), col*h/4.7))
         
-        icon = pygame.image.load('levels/icons/level%03d.tga' % (20+i+1))
+        icon = pygame.image.load('levels/unera-icons/level%03d.tga' % (20+i+1))
         if h < 768:
             icon = pygame.transform.scale(icon, (88, 66))
         icons.append(icon)
@@ -44,4 +44,4 @@
 
     k.screen.blit(k.world.image, k.world.rect)    
     pygame.display.update()
-    
\ No newline at end of file
+    
--- a/levels/menu_play.py
+++ b/levels/menu_play.py
@@ -5,7 +5,7 @@
 def init():
     k.sound.loadTheme('menu')
     k.sound.music('industry.ogg') #k.sound.music('space.ogg')
-    k.world.setBackground('Big-E-Mr-G13')
+    k.world.setBackground('menu-play')
     
     # player
     k.player.setPos(k.world.rect.center)
--- a/levels/menu_scores.py
+++ b/levels/menu_scores.py
@@ -7,7 +7,7 @@
 def init():
     k.sound.loadTheme('menu')
     k.sound.music('summer.ogg')
-    k.world.setBackground('darkmatter02')
+    k.world.setBackground('menu-scores')
 
     # simple player
     k.player.setPos(k.world.rect.center)
@@ -58,4 +58,4 @@
                              'action': 'k.level.menuExit()',
                              'size': 'small', 
                              'pos': pos(cx, h*7/8)}))
-    
\ No newline at end of file
+    
--- a/levels/menu_scores1.py
+++ b/levels/menu_scores1.py
@@ -9,9 +9,9 @@
     stage = 1
     numLevels = k.config.numAvailableLevels(stage)
     if numLevels > 20:
-        k.world.setBackground('darkmatter02b')
+        k.world.setBackground('menu-scores1')
     else:
-        k.world.setBackground('darkmatter02')
+        k.world.setBackground('menu-scores1')
     # simple player
     k.player.setPos(k.world.rect.center)
     k.player.setTailNum(2)
@@ -35,4 +35,4 @@
                              'align': 'bottom',
                              'action': 'k.level.menuExit("menu_scores")',
                              'size': 'small', 
-                             'pos': pos(c, h*7/8)}))
\ No newline at end of file
+                             'pos': pos(c, h*7/8)}))
--- a/levels/menu_scores2.py
+++ b/levels/menu_scores2.py
@@ -9,9 +9,9 @@
     stage = 2
     numLevels = k.config.numAvailableLevels(stage)
     if numLevels > 20:
-        k.world.setBackground('darkmatter02b')
+        k.world.setBackground('menu-scores2')
     else:
-        k.world.setBackground('darkmatter02')
+        k.world.setBackground('menu-scores2')
     # simple player
     k.player.setPos(k.world.rect.center)
     k.player.setTailNum(2)
@@ -35,4 +35,4 @@
                              'align': 'bottom',
                              'action': 'k.level.menuExit("menu_scores")',
                              'size': 'small', 
-                             'pos': pos(c, h*7/8)}))
\ No newline at end of file
+                             'pos': pos(c, h*7/8)}))
--- a/levels/menu_scores3.py
+++ b/levels/menu_scores3.py
@@ -9,9 +9,9 @@
     stage = 3
     numLevels = k.config.numAvailableLevels(stage)
     if numLevels > 20:
-        k.world.setBackground('darkmatter02b')
+        k.world.setBackground('menu-scores3')
     else:
-        k.world.setBackground('darkmatter02')
+        k.world.setBackground('menu-scores3')
     # simple player
     k.player.setPos(k.world.rect.center)
     k.player.setTailNum(2)
@@ -35,4 +35,4 @@
                              'align': 'bottom',
                              'action': 'k.level.menuExit("menu_scores")',
                              'size': 'small', 
-                             'pos': pos(c, h*7/8)}))
\ No newline at end of file
+                             'pos': pos(c, h*7/8)}))
--- a/levels/menu_screen.py
+++ b/levels/menu_screen.py
@@ -6,7 +6,7 @@
 def init():
     k.sound.loadTheme('menu')
     k.sound.music('industry.ogg')
-    k.world.setBackground('kahanaboy04')
+    k.world.setBackground('menu-screen')
     k.world.darken(60)
     # simple player
     k.player.setPos(k.world.rect.center)
@@ -17,7 +17,13 @@
                              'align': 'bottom',
                              'action': 'k.config.save() or k.level.menuExit()',
                              'size': 'small', 
-                             'pos': pos(cx, h*7/8)}))
+                             'pos': pos(cx-cx/3, h*7/8)}))
+    
+    k.particles.add(Switch({ 'text': 'Fullscreen',
+                             'align': 'bottom',
+                             'action': 'k.world.toggleFullscreen()',
+                             'size': 'small', 
+                             'pos': pos(cx+cx/3, h*7/8)}))
     modes = pygame.display.list_modes(32, pygame.FULLSCREEN)
     modes = [m for m in modes if (m[1] >= 600)]
     set = sets.Set()
@@ -28,11 +34,11 @@
         m = modes[i]
         active = m==k.world.rect.size
         dirvec = vector.withAngle(-(i+1)*2*math.pi/(len(modes)+1)+math.pi/2, h*5/12)
-        dirvec.y *= 0.8
+        dirvec.y *= 0.6
         k.particles.add(Switch({ 'text': "%dx%d" % m,
                                  'size': 'small',
                                  'align': 'bottom',
                                  'action': 'k.world.setScreen((%d, %d))' % m,
                                  'color': active and 'orange' or 'white', 
                                  'pos': vector(k.world.rect.center)+dirvec}))
-    
\ No newline at end of file
+    
--- a/levels/menu_sound.py
+++ b/levels/menu_sound.py
@@ -6,7 +6,7 @@
 def init():
     k.sound.loadTheme('menu')
     k.sound.music('industry.ogg')
-    k.world.setBackground('kahanaboy04')
+    k.world.setBackground('menu-sounds')
     k.world.darken(60)
     # simple player
     k.player.setPos(k.world.rect.center)
@@ -40,4 +40,4 @@
                                  'action': 'k.sound.setMusicVolumeIndex(%d) or k.config.save()' % i, 
                                  'group': 'music', 
                                  'color': i==k.sound.getMusicVolumeIndex() and 'orange' or 'white', 
-                                 'pos': vector(k.world.rect.center)+dirvec}))    
\ No newline at end of file
+                                 'pos': vector(k.world.rect.center)+dirvec}))    
--- a/src/Config.py
+++ b/src/Config.py
@@ -1,6 +1,8 @@
 #
 #  Config.py
 
+import yaml
+import getopt, sys
 import k, levels
 
 from Krank  import *
@@ -24,15 +26,46 @@
         self['stageTime'] = [0,0,0,0]
         self['totalSolved'] = [0,0,0,0]
         self.stage = 1
+        self.fullscreen = 0
         
         k.config = self
         
         self.load()
         
+        try:
+            opts, args = getopt.getopt(sys.argv[1:], 'whfs:')
+        except getopt.GetoptError as err:
+            print(str(err))
+            self.usage_exit(-1)
+
+        for o, a in opts:
+        	if o == '-h': self.usage_exit(0)
+        	if o == '-w': self.fullscreen = 0
+        	if o == '-f': self.fullscreen = 1
+        	if o == '-s': 
+        		try:
+        		    w,h=a.split('x', 2)
+        		    self['screen']=int(w),int(h)
+        		except ValueError as err:
+        		    print("Invalid screen size:", a, "\n\t", str(err))
+        		    self.usage_exit(-1)
+        
+    #-------------------------------------------------------------------------------------------
+    def usage_exit(self, retcode):
+        print("Usage:")
+        print("\tkrank -h      for display this screen")
+        print("\tkrank -f      for start in fullscreen mode")
+        print("\tkrank -w      for start in windowed mode")
+        print("\tkrank -s WxH  for start in screen (-f or -w) with defined size")
+        print("\nexamples:")
+        print("\tkrank -f -s 800x600")
+        print("\tkrank -w -s 921x652")
+        sys.exit(retcode)
+
     #-------------------------------------------------------------------------------------------
     def score (self, level):
         si = k.level.isBonus() and 4 or self.stage-1
-        li = k.level.isBonus and self.stage-1 or level-1
+        li = k.level.isBonus() and self.stage-1 or level-1
 
         # stats
         self['totalTime']       += k.level.time/1000
@@ -75,12 +108,8 @@
         
     #-------------------------------------------------------------------------------------------
     def makeLevelAvailable (self):
-        for i in range(2):
-            for stage_index in range(3):
-                scores = self['scores'][stage_index]
-                if len(scores) < levels.numLevels:
-                    scores.append({'time': sys.maxint, 'score': sys.maxint})
-                    break
+        if len(self['scores'][self.stage - 1]) < levels.numLevels:
+        	    self['scores'][self.stage - 1].append({'time': sys.maxint, 'score': sys.maxint})
             
     #-------------------------------------------------------------------------------------------
     def apply(self):
@@ -91,6 +120,8 @@
     def getConfigFilePath(self):
         if os.sys.platform == 'darwin':
             return os.path.expanduser('~/Library/Preferences/krank.cfg')
+        elif os.sys.platform == 'linux2':
+            return os.path.expanduser('~/.krankcfg')
         else:
             return os.path.join(os.environ['APPDATA'], 'krank.cfg')
         
@@ -99,12 +130,20 @@
         self['music_volume'] = k.sound.musicVolume
         self['sound_volume'] = k.sound.soundVolume
         self['screen']       = k.world.rect.size
+        self['stage']        = k.config.stage
+        self['fullscreen']   = k.config.fullscreen
         try:
             config_file = self.getConfigFilePath()
+            if os.access(config_file, os.R_OK|os.W_OK):
+            	os.unlink(config_file)
+            	print("Old config file has been converted in yaml format")
+            	print("\tnew config name is ", config_file+'.yaml')
+            config_file += '.yaml'
             log('writing config to', config_file, log='config')
             log(self, log='config')
             file = open(config_file, 'w+')
-            cPickle.dump(self, file)
+            file.write("# vim: filetype=yaml :\n")
+            yaml.dump(self, file)
         except Exception, e:
             log(e)
         
@@ -114,9 +153,18 @@
             config_file = self.getConfigFilePath()
             log('reading config from', config_file, log='config')
             log(self, log='config')
-            file = open(config_file, 'r')
-            self.update(cPickle.load(file))
+            yaml_type=0
+            
+            if not os.access(config_file, os.R_OK):
+                config_file += '.yaml'
+                file = open(config_file, 'r')
+                self.update(yaml.load(file))
+            else:
+                file = open(config_file, 'r')
+                self.update(cPickle.load(file))
+            
             self.stage = self['stage']
+            k.config.fullscreen=self['fullscreen']
             while len(self['scores']) < 4: self['scores'].append([])
             log(self, log='config')
         except Exception, e:
@@ -185,4 +233,4 @@
             stage = self.stage
         return len([s for s in self['scores'][stage-1] if s['score'] < sys.maxint])
     
-    
\ No newline at end of file
+    
--- a/src/Input.py
+++ b/src/Input.py
@@ -20,6 +20,7 @@
          
         self.exit = False
         self.pause = False
+        self.unfocused_pause = False
         
         # target pos
         self.targetpos = k.world.rect.center
@@ -61,14 +62,29 @@
     def handleEvents (self):
         
         for event in pygame.event.get():
+            if event.type == pygame.ACTIVEEVENT:
+            	if event.state == 2:
+            	    if event.gain:
+            	        if self.unfocused_pause:
+            		        self.pause = False
+            		        self.unfocused_pause = False
+            	    else:
+            	        if not self.pause:
+            		        self.pause = True
+            		        self.unfocused_pause = True
+            
             if event.type == pygame.QUIT: sys.exit()
             # ---------------------------------------------------------------------- KEYS 
             elif event.type == pygame.KEYDOWN:
                 # ------------------------------------------------------------------ pause
-                if event.key == 32:
+                if event.key in [ 32, 19, 112]:
+                    self.unfocused_pause = False
                     self.pause = not self.pause
                 else:
-                    if self.pause: self.pause = False
+                    if event.key in [ 27, 113, 275, 276,
+                        105, 114, 115, 49, 50, 51, 280, 281, 19, 112]:
+                        if self.pause:
+                            self.pause = False
                 # ------------------------------------------------------------------ exit
                 if event.key == 113 and event.mod == pygame.KMOD_LMETA:
                     self.onExit()
@@ -197,4 +213,4 @@
             self.targetpos = playerpos + playerToMouse.norm() * targetDistance
 
             
-            
\ No newline at end of file
+            
--- a/src/Level.py
+++ b/src/Level.py
@@ -160,8 +160,8 @@
     #-------------------------------------------------------------------------------------------
     def saveIcon (self):
         image = pygame.transform.scale(k.screen, (120, 90))
-        pygame.image.save(image, 'levels/icons/level%03d.tga' % self.number)
-        log('icon saved to ', 'levels/icons/level%03d.tga' % self.number)
+        pygame.image.save(image, 'levels/unera-icons/level%03d.tga' % self.number)
+        log('icon saved to ', 'levels/unera-icons/level%03d.tga' % self.number)
 
     #-------------------------------------------------------------------------------------------
     def saveScreenshot (self):
--- a/src/Main.py
+++ b/src/Main.py
@@ -17,15 +17,17 @@
 k.debug    = 0
 startlevel = k.debug and 24
 startstage = 1
-fullscreen = not k.debug or 0
 
 pygame.init()
 pygame.font.init()
 
 Config()
 
+fullscreen = k.config.fullscreen
+
 if k.debug:
     k.config.stage = startstage
+    fullscreen = 0
 
 #-------------------------------------------------------------------------------------------
 
@@ -56,7 +58,11 @@
             width, height = modes[0]
     flags = pygame.FULLSCREEN
 else:
-    width, height, flags = 800, 600, pygame.RESIZABLE
+	if k.config['screen']:
+		width, height = k.config['screen']
+	else:
+		width, height=800, 600
+	flags = pygame.RESIZABLE
     
 k.clock = pygame.time.Clock()
 
@@ -150,4 +156,4 @@
     stats.print_stats()
 else:
     loop()
-    
\ No newline at end of file
+    
--- a/src/World.py
+++ b/src/World.py
@@ -38,7 +38,9 @@
     #-------------------------------------------------------------------------------------------
     def initScreen (self, size, flags):
         k.screen = pygame.display.set_mode(size, flags)
+        pygame.display.set_caption(k.KRANK_TITLE)
         self.rect = pygame.Rect(0, 0, size[0], size[1])
+        self.screen_flags = flags
         self.postInit()
         
     #-------------------------------------------------------------------------------------------
@@ -46,12 +48,35 @@
         if size <> self.rect.size:
             self.image = None
             k.sound.play('exit')
-            k.screen = pygame.display.set_mode(size, pygame.FULLSCREEN)
+            k.screen = pygame.display.set_mode(size, self.screen_flags)
             self.rect = pygame.Rect(0, 0, size[0], size[1])
             self.postInit()
             Level('menu_screen')
             k.screen.blit(k.world.image, k.screen.get_rect())
             pygame.display.flip()
+    
+    #-------------------------------------------------------------------------------------------
+    def toggleFullscreen(self):
+        if k.config.fullscreen:
+            sx,sy=k.world.rect.size
+            k.config.fullscreen = 0
+            k.screen = pygame.display.set_mode((sx, sy), pygame.RESIZABLE);
+            self.rect = pygame.Rect(0, 0, sx, sy)
+            self.screen_flags = pygame.RESIZABLE
+            self.postInit()
+            Level('menu_screen')
+            k.screen.blit(k.world.image, k.screen.get_rect())
+            pygame.display.flip()
+        else:
+            sx,sy=k.world.rect.size
+            k.config.fullscreen = 1
+            k.screen = pygame.display.set_mode((sx, sy), pygame.FULLSCREEN);
+            self.rect = pygame.Rect(0, 0, sx, sy)
+            self.screen_flags = pygame.FULLSCREEN
+            self.postInit()
+            Level('menu_screen')
+            k.screen.blit(k.world.image, k.screen.get_rect())
+            pygame.display.flip()
 
     #-------------------------------------------------------------------------------------------
     # fonts
@@ -65,11 +90,11 @@
         try:
             height = self.rect.height
             try:
-                fontfile = 'fonts/QUIGLEYW.TTF'
-                k.font['large']  = pygame.font.Font(fontfile, height/12)
-                k.font['normal'] = pygame.font.Font(fontfile, height/24)
-                k.font['small']  = pygame.font.Font(fontfile, 40)
-                k.font['tiny']   = pygame.font.Font(fontfile, 30)
+                fontfile = '/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf'
+                k.font['large']  = pygame.font.Font(fontfile, height/24)
+                k.font['normal'] = pygame.font.Font(fontfile, height/36)
+                k.font['small']  = pygame.font.Font(fontfile, 30)
+                k.font['tiny']   = pygame.font.Font(fontfile, 20)
             except Exception, e:
                   log(e)
                   k.font['large']  = pygame.font.SysFont(pygame.font.get_default_font(), height/12)
@@ -87,7 +112,7 @@
         
         self.resetCockpit()
                 
-        path = os.path.join('levels/backgrounds', name + '.jpg')
+        path = os.path.join('levels/unera-backgrounds', name + '.jpg')
         log(path, log='world')
         if os.path.isdir(path):
             for item in os.listdir(path):
@@ -104,7 +129,6 @@
             xtiles, ytiles = self.rect.width/self.tilesize+1, self.rect.height/self.tilesize+1
             self.fadeTiles = range(xtiles*ytiles)
             random.shuffle(self.fadeTiles)
-            
         self.image = quadMirrorSurface(pygame.image.load(file), self.rect.size).convert()            
 
     #-------------------------------------------------------------------------------------------        
--- a/src/k.py
+++ b/src/k.py
@@ -33,7 +33,8 @@
 #-----------------------------------------------------------------------------------------------
 # constants
 
-VERSION = "07"
+VERSION = "0.7"
+KRANK_TITLE = "Krank version %s"%(VERSION)
 
 print "krank version", VERSION 
 
